Index: extensions/dbg_monitor/dbg_monitor.c
===================================================================
--- extensions/dbg_monitor/dbg_monitor.c	(revision 740)
+++ extensions/dbg_monitor/dbg_monitor.c	(revision 974)
@@ -61,5 +61,5 @@
 		#ifdef DEBUG
 		for (i++; i % 30; i++) {
-			fd_log_debug("[dbg_monitor] %ih%*im%*is\n", i/3600, 2, (i/60) % 60 , 2, i%60); /* This makes it easier to detect inactivity periods in the log file */
+			fd_log_debug("[dbg_monitor] %ih%*im%*is", i/3600, 2, (i/60) % 60 , 2, i%60); /* This makes it easier to detect inactivity periods in the log file */
 			sleep(1);
 		}
@@ -67,5 +67,5 @@
 		sleep(3600); /* 1 hour */
 		#endif /* DEBUG */
-		fd_log_debug("[dbg_monitor] Dumping current information\n");
+		fd_log_debug("[dbg_monitor] Dumping current information");
 		CHECK_FCT_DO(fd_event_send(fd_g_config->cnf_main_ev, FDEV_DUMP_QUEUES, 0, NULL), /* continue */);
 		CHECK_FCT_DO(fd_event_send(fd_g_config->cnf_main_ev, FDEV_DUMP_SERV, 0, NULL), /* continue */);
@@ -80,5 +80,5 @@
 static void got_sig()
 {
-	fd_log_debug("[dbg_monitor] Dumping extra information\n");
+	fd_log_debug("[dbg_monitor] Dumping extra information");
 	CHECK_FCT_DO(fd_event_send(fd_g_config->cnf_main_ev, FDEV_DUMP_DICT, 0, NULL), /* continue */);
 	CHECK_FCT_DO(fd_event_send(fd_g_config->cnf_main_ev, FDEV_DUMP_CONFIG, 0, NULL), /* continue */);
Index: extensions/dbg_rt/dbg_rt.c
===================================================================
--- extensions/dbg_rt/dbg_rt.c	(revision 741)
+++ extensions/dbg_rt/dbg_rt.c	(revision 974)
@@ -48,5 +48,5 @@
 	TRACE_ENTRY("%p %p", cbdata, msg);
 	
-	fd_log_debug("[dbg_rt] FWD routing message: %p\n", msg ? *msg : NULL);
+	fd_log_debug("[dbg_rt] FWD routing message: %p", msg ? *msg : NULL);
 	if (msg)
 		fd_msg_dump_walk(INFO, *msg);
@@ -62,11 +62,11 @@
 	TRACE_ENTRY("%p %p %p", cbdata, msg, candidates);
 	
-	fd_log_debug("[dbg_rt] OUT routing message: %p\n", msg);
+	fd_log_debug("[dbg_rt] OUT routing message: %p", msg);
 	fd_msg_dump_walk(INFO, msg);
-	fd_log_debug("[dbg_rt] Current list of candidates (%p): (score - id)\n", msg);
+	fd_log_debug("[dbg_rt] Current list of candidates (%p): (score - id)", msg);
 	
 	for (li = candidates->next; li != candidates; li = li->next) {
 		struct rtd_candidate *c = (struct rtd_candidate *) li;
-		fd_log_debug("[dbg_rt]   %d -\t%s\n", c->score, c->diamid);
+		fd_log_debug("[dbg_rt]   %d -\t%s", c->score, c->diamid);
 	}
 	
Index: extensions/dict_legacy_xml/dict_lxml.l
===================================================================
--- extensions/dict_legacy_xml/dict_lxml.l	(revision 741)
+++ extensions/dict_legacy_xml/dict_lxml.l	(revision 974)
@@ -80,5 +80,5 @@
 				CHECK_MALLOC_DO( yylval->string = strdup(yytext+1), 
 				{
-					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s\n", yytext, strerror(errno));
+					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 				} );
@@ -92,5 +92,5 @@
 	/* Unrecognized sequence, if it did not match any previous pattern */
 [^[:space:]\";\n]+	{ 
-				fd_log_debug("Unrecognized text on line %d col %d: '%s'.\n", yylloc->first_line, yylloc->first_column, yytext);
+				fd_log_debug("Unrecognized text on line %d col %d: '%s'.", yylloc->first_line, yylloc->first_column, yytext);
 			 	return LEX_ERROR; 
 			}
Index: extensions/dict_legacy_xml/dict_lxml.y
===================================================================
--- extensions/dict_legacy_xml/dict_lxml.y	(revision 741)
+++ extensions/dict_legacy_xml/dict_lxml.y	(revision 974)
@@ -72,5 +72,5 @@
 	if (dict_lxmlin == NULL) {
 		ret = errno;
-		fd_log_debug("Unable to open extension configuration file %s for reading: %s\n", conffile, strerror(ret));
+		fd_log_debug("Unable to open extension configuration file %s for reading: %s", conffile, strerror(ret));
 		TRACE_DEBUG (INFO, "Error occurred, message logged -- configuration file.");
 		return ret;
@@ -100,9 +100,9 @@
 	
 	if (ploc->first_line != ploc->last_line)
-		fd_log_debug("%s:%d.%d-%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d.%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fd_log_debug("%s:%d.%d-%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fd_log_debug("%s:%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, s);
+		fd_log_debug("%s:%d.%d : %s", conffile, ploc->first_line, ploc->first_column, s);
 }
 
Index: extensions/dict_legacy_xml/dict_lxml_xml.c
===================================================================
--- extensions/dict_legacy_xml/dict_lxml_xml.c	(revision 740)
+++ extensions/dict_legacy_xml/dict_lxml_xml.c	(revision 974)
@@ -123,5 +123,5 @@
 
 static void dump_vendor(struct t_vend * v) {
-	fd_log_debug(" Vendor %d:'%s'\n", v->id, (char *)v->name);
+	fd_log_debug(" Vendor %d:'%s'", v->id, (char *)v->name);
 }
 
@@ -175,5 +175,5 @@
 	if (r->max != -1)
 		fd_log_debug("M:%d ", r->max);
-	fd_log_debug("%s\n", (char *)r->avpname);
+	fd_log_debug("%s", (char *)r->avpname);
 }
 
@@ -241,5 +241,5 @@
 static void dump_cmd(struct t_cmd * c) {
 	struct fd_list * li;
-	fd_log_debug("  Command %d %s: %s\n", c->code, 
+	fd_log_debug("  Command %d %s: %s", c->code, 
 		c->fmask ? ( c->flags ? "[P=1]" : "[P=0]") : "", c->name);
 	for (li = c->reqrules_fixed.next; li != &c->reqrules_fixed; li = li->next)
@@ -325,8 +325,8 @@
 
 static void dump_type(struct t_typedefn * t) {
-	fd_log_debug("  Type %s", (char *)t->name);
-	if (t->parent_name)
-		fd_log_debug("(parent: %s)", (char *)t->parent_name);
-	fd_log_debug("\n");
+	fd_log_debug("  Type %s%s%s%s", (char *)t->name,
+		     t->parent_name ? "(parent: " : "", 
+		     t->parent_name ? (char *)t->parent_name : "", 
+		     t->parent_name ? ")" : "");
 }
 
@@ -361,5 +361,5 @@
 
 static void dump_avptype(struct t_avptype * t) {
-	fd_log_debug("    data type: %s\n", t->type_name);
+	fd_log_debug("    data type: %s", t->type_name);
 }
 
@@ -398,5 +398,5 @@
 
 static void dump_enum(struct t_enum * e) {
-	fd_log_debug("    Value: %d == %s\n", e->code, e->name);
+	fd_log_debug("    Value: %d == %s", e->code, e->name);
 }	
 
@@ -469,10 +469,10 @@
 static void dump_avp(struct t_avp * a) {
 	struct fd_list * li;
-	fd_log_debug("  AVP %d %s%s: %s\n", a->code, 
+	fd_log_debug("  AVP %d %s%s: %s", a->code, 
 		a->fmask & AVP_FLAG_MANDATORY ? ( a->flags & AVP_FLAG_MANDATORY ? "[M=1]" : "[M=0]") : "", 
 		a->fmask & AVP_FLAG_VENDOR ? ( a->flags & AVP_FLAG_VENDOR ? "[V=1]" : "[V=0]") : "", 
 		a->name);
 	if (a->fmask & AVP_FLAG_VENDOR)
-		fd_log_debug("    vendor: %d\n", a->vendor);
+		fd_log_debug("    vendor: %d", a->vendor);
 	for (li = a->type.next; li != &a->type; li = li->next)
 		dump_avptype((struct t_avptype *)li);
@@ -561,5 +561,5 @@
 static void dump_appl(struct t_appl * a) {
 	struct fd_list * li;
-	fd_log_debug(" Application %d: %s\n", a->id, a->name);
+	fd_log_debug(" Application %d: %s", a->id, a->name);
 	for (li = a->commands.next; li != &a->commands; li = li->next)
 		dump_cmd((struct t_cmd *)li);
@@ -1021,9 +1021,9 @@
 		TRACE_DEBUG(INFO, "Error encountered while parsing tag of:");
 		if (data->cur_app)
-			fd_log_debug("  Application: '%s'\n", data->cur_app->name);
+			fd_log_debug("  Application: '%s'", data->cur_app->name);
 		if (data->cur_cmd)
-			fd_log_debug("  Command    : '%s'\n", data->cur_cmd->name);
+			fd_log_debug("  Command    : '%s'", data->cur_cmd->name);
 		if (data->cur_avp)
-			fd_log_debug("  AVP        : '%s'\n", data->cur_avp->name);
+			fd_log_debug("  AVP        : '%s'", data->cur_avp->name);
 	}
 	return;
Index: extensions/rt_default/rtd_conf.l
===================================================================
--- extensions/rt_default/rtd_conf.l	(revision 741)
+++ extensions/rt_default/rtd_conf.l	(revision 974)
@@ -82,5 +82,5 @@
 				if (ret != 1) {
 					/* No matching: an error occurred */
-					fd_log_debug("Unable to convert the value '%s' to a valid number: %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to convert the value '%s' to a valid number: %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 					/* Maybe we could REJECT instead of failing here? */
@@ -107,5 +107,5 @@
 				CHECK_MALLOC_DO( yylval->string = strdup(yytext+2), 
 				{
-					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s\n", yytext, strerror(errno));
+					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 				} );
@@ -119,5 +119,5 @@
 				CHECK_MALLOC_DO( yylval->string = strdup(yytext+1), 
 				{
-					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s\n", yytext, strerror(errno));
+					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 				} );
@@ -140,5 +140,5 @@
 	/* Unrecognized sequence, if it did not match any previous pattern */
 [^[:space:]\"*:=+;\n]+	{ 
-				fd_log_debug("Unrecognized text on line %d col %d: '%s'.\n", yylloc->first_line, yylloc->first_column, yytext);
+				fd_log_debug("Unrecognized text on line %d col %d: '%s'.", yylloc->first_line, yylloc->first_column, yytext);
 			 	return LEX_ERROR; 
 			}
Index: extensions/rt_default/rtd_conf.y
===================================================================
--- extensions/rt_default/rtd_conf.y	(revision 741)
+++ extensions/rt_default/rtd_conf.y	(revision 974)
@@ -71,5 +71,5 @@
 	if (rtd_confin == NULL) {
 		ret = errno;
-		fd_log_debug("Unable to open extension configuration file %s for reading: %s\n", conffile, strerror(ret));
+		fd_log_debug("Unable to open extension configuration file %s for reading: %s", conffile, strerror(ret));
 		TRACE_DEBUG (INFO, "Error occurred, message logged -- configuration file.");
 		return ret;
@@ -99,9 +99,9 @@
 	
 	if (ploc->first_line != ploc->last_line)
-		fd_log_debug("%s:%d.%d-%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d.%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fd_log_debug("%s:%d.%d-%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fd_log_debug("%s:%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, s);
+		fd_log_debug("%s:%d.%d : %s", conffile, ploc->first_line, ploc->first_column, s);
 }
 
Index: extensions/rt_default/rtd_rules.c
===================================================================
--- extensions/rt_default/rtd_rules.c	(revision 741)
+++ extensions/rt_default/rtd_rules.c	(revision 974)
@@ -158,5 +158,5 @@
 static void dump_rule(int indent, struct rule * rule)
 {
-	fd_log_debug("%*s%s%s%s += %d\n",
+	fd_log_debug("%*s%s%s%s += %d",
 		indent, "",
 		rule->md.is_regex ? "[" : "'",
@@ -168,5 +168,5 @@
 {
 	int i;
-	fd_log_debug("%*s%s%s%s :\n",
+	fd_log_debug("%*s%s%s%s :",
 		indent, "",
 		target->md.is_regex ? "[" : "'",
@@ -176,5 +176,5 @@
 		if (! FD_IS_LIST_EMPTY(&target->rules[i])) {
 			struct fd_list * li;
-			fd_log_debug("%*s  rules[%d]:\n",
+			fd_log_debug("%*s  rules[%d]:",
 				indent, "", i);
 			for (li = target->rules[i].next; li != &target->rules[i]; li = li->next) {
@@ -594,9 +594,9 @@
 {
 	int i;
-	fd_log_debug("[rt_default] Dumping rules repository...\n");
+	fd_log_debug("[rt_default] Dumping rules repository...");
 	for (i = 0; i < RTD_TAR_MAX; i++) {
 		if (!FD_IS_LIST_EMPTY( &TARGETS[i] )) {
 			struct fd_list * li;
-			fd_log_debug("  Targets list %d:\n", i);
+			fd_log_debug("  Targets list %d:", i);
 			for (li = TARGETS[i].next; li != &TARGETS[i]; li = li->next) {
 				dump_target(4, (struct target *)li);
@@ -605,4 +605,4 @@
 	}
 	
-	fd_log_debug("[rt_default] End of dump\n");
-}
+	fd_log_debug("[rt_default] End of dump");
+}
Index: extensions/rt_ereg/rtereg_conf.l
===================================================================
--- extensions/rt_ereg/rtereg_conf.l	(revision 741)
+++ extensions/rt_ereg/rtereg_conf.l	(revision 974)
@@ -81,5 +81,5 @@
 				CHECK_MALLOC_DO( yylval->string = strdup(yytext+1), 
 				{
-					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s\n", yytext, strerror(errno));
+					TRACE_DEBUG(INFO, "Unable to copy the string '%s': %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 				} );
@@ -96,5 +96,5 @@
 				if (ret != 1) {
 					/* No matching: an error occurred */
-					fd_log_debug("Unable to convert the value '%s' to a valid number: %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to convert the value '%s' to a valid number: %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 					/* Maybe we could REJECT instead of failing here? */
@@ -113,5 +113,5 @@
 	/* Unrecognized sequence, if it did not match any previous pattern */
 [^[:space:]\":=+;\n]+	{ 
-				fd_log_debug("Unrecognized text on line %d col %d: '%s'.\n", yylloc->first_line, yylloc->first_column, yytext);
+				fd_log_debug("Unrecognized text on line %d col %d: '%s'.", yylloc->first_line, yylloc->first_column, yytext);
 			 	return LEX_ERROR; 
 			}
Index: extensions/rt_ereg/rtereg_conf.y
===================================================================
--- extensions/rt_ereg/rtereg_conf.y	(revision 741)
+++ extensions/rt_ereg/rtereg_conf.y	(revision 974)
@@ -68,5 +68,5 @@
 	if (rtereg_confin == NULL) {
 		ret = errno;
-		fd_log_debug("Unable to open extension configuration file %s for reading: %s\n", conffile, strerror(ret));
+		fd_log_debug("Unable to open extension configuration file %s for reading: %s", conffile, strerror(ret));
 		TRACE_DEBUG (INFO, "Error occurred, message logged -- configuration file.");
 		return ret;
@@ -96,9 +96,9 @@
 	
 	if (ploc->first_line != ploc->last_line)
-		fd_log_debug("%s:%d.%d-%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d.%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fd_log_debug("%s:%d.%d-%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fd_log_debug("%s:%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, s);
+		fd_log_debug("%s:%d.%d : %s", conffile, ploc->first_line, ploc->first_column, s);
 }
 
Index: extensions/test_acct/test_acct.c
===================================================================
--- extensions/test_acct/test_acct.c	(revision 740)
+++ extensions/test_acct/test_acct.c	(revision 974)
@@ -73,8 +73,8 @@
 		CHECK_FCT( fd_msg_rescode_set( ans, "DIAMETER_SUCCESS", NULL, NULL, 1 ) );
 		
-		fd_log_debug("--------------Received the following Accounting message:--------------\n");
+		fd_log_debug("--------------Received the following Accounting message:--------------");
 		
 		CHECK_FCT( fd_sess_getsid ( sess, &s, &sl ) );
-		fd_log_debug("Session: %.*s\n", (int)sl, s);
+		fd_log_debug("Session: %.*s", (int)sl, s);
 		
 		/* The AVPs that we copy in the answer */
@@ -82,5 +82,5 @@
 		if (a) {
 			CHECK_FCT( fd_msg_avp_hdr( a, &h )  );
-			fd_log_debug("Accounting-Record-Type: %d (%s)\n", h->avp_value->u32, 
+			fd_log_debug("Accounting-Record-Type: %d (%s)", h->avp_value->u32, 
 						/* it would be better to search this in the dictionary, but it is only for debug, so ok */
 						(h->avp_value->u32 == 1) ? "EVENT_RECORD" : 
@@ -97,5 +97,5 @@
 		if (a) {
 			CHECK_FCT( fd_msg_avp_hdr( a, &h )  );
-			fd_log_debug("Accounting-Record-Number: %d\n", h->avp_value->u32);
+			fd_log_debug("Accounting-Record-Number: %d", h->avp_value->u32);
 			CHECK_FCT( fd_msg_avp_new ( tac_dict.Accounting_Record_Number, 0, &a ) );
 			CHECK_FCT( fd_msg_avp_setvalue( a, h->avp_value ) );
@@ -105,5 +105,5 @@
 		/* We may also dump other data from the message, such as Accounting session Id, number of packets, ...  */
 
-		fd_log_debug("----------------------------------------------------------------------\n");
+		fd_log_debug("----------------------------------------------------------------------");
 		
 		/* Send the answer */
Index: extensions/test_app/ta_bench.c
===================================================================
--- extensions/test_app/ta_bench.c	(revision 928)
+++ extensions/test_app/ta_bench.c	(revision 974)
@@ -236,23 +236,23 @@
 	
 	/* Now, display the statistics */
-	fd_log_debug( "------- app_test Benchmark result ---------\n");
+	fd_log_debug( "------- app_test Benchmark result ---------");
 	if (now.tv_nsec >= end_time.tv_nsec) {
-		fd_log_debug( " Executing for: %d.%06ld sec\n",
+		fd_log_debug( " Executing for: %d.%06ld sec",
 				(int)(now.tv_sec + ta_conf->bench_duration - end_time.tv_sec),
 				(long)(now.tv_nsec - end_time.tv_nsec) / 1000);
 	} else {
-		fd_log_debug( " Executing for: %d.%06ld sec\n",
+		fd_log_debug( " Executing for: %d.%06ld sec",
 				(int)(now.tv_sec + ta_conf->bench_duration - 1 - end_time.tv_sec),
 				(long)(now.tv_nsec + 1000000000 - end_time.tv_nsec) / 1000);
 	}
-	fd_log_debug( "   %llu messages sent\n", end.nb_sent - start.nb_sent);
-	fd_log_debug( "   %llu error(s) received\n", end.nb_errs - start.nb_errs);
-	fd_log_debug( "   %llu answer(s) received\n", end.nb_recv - start.nb_recv);
-	fd_log_debug( "   Overall:\n");
-	fd_log_debug( "     fastest: %ld.%06ld sec.\n", end.shortest / 1000000, end.shortest % 1000000);
-	fd_log_debug( "     slowest: %ld.%06ld sec.\n", end.longest / 1000000, end.longest % 1000000);
-	fd_log_debug( "     Average: %ld.%06ld sec.\n", end.avg / 1000000, end.avg % 1000000);
-	fd_log_debug( "   Throughput: %llu messages / sec\n", (end.nb_recv - start.nb_recv) / (( now.tv_sec + ta_conf->bench_duration - end_time.tv_sec ) + ((now.tv_nsec - end_time.tv_nsec) / 1000000000)));
-	fd_log_debug( "-------------------------------------\n");
+	fd_log_debug( "   %llu messages sent", end.nb_sent - start.nb_sent);
+	fd_log_debug( "   %llu error(s) received", end.nb_errs - start.nb_errs);
+	fd_log_debug( "   %llu answer(s) received", end.nb_recv - start.nb_recv);
+	fd_log_debug( "   Overall:");
+	fd_log_debug( "     fastest: %ld.%06ld sec.", end.shortest / 1000000, end.shortest % 1000000);
+	fd_log_debug( "     slowest: %ld.%06ld sec.", end.longest / 1000000, end.longest % 1000000);
+	fd_log_debug( "     Average: %ld.%06ld sec.", end.avg / 1000000, end.avg % 1000000);
+	fd_log_debug( "   Throughput: %llu messages / sec", (end.nb_recv - start.nb_recv) / (( now.tv_sec + ta_conf->bench_duration - end_time.tv_sec ) + ((now.tv_nsec - end_time.tv_nsec) / 1000000000)));
+	fd_log_debug( "-------------------------------------");
 
 }
Index: extensions/test_app/ta_conf.l
===================================================================
--- extensions/test_app/ta_conf.l	(revision 740)
+++ extensions/test_app/ta_conf.l	(revision 974)
@@ -81,5 +81,5 @@
 				if (ret != 1) {
 					/* No matching: an error occurred */
-					fd_log_debug("Unable to convert the value '%s' to a valid number: %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to convert the value '%s' to a valid number: %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 					/* Maybe we could REJECT instead of failing here? */
@@ -93,5 +93,5 @@
 				yylval->string = strdup(yytext+1);
 				if (!yylval->string) {
-					fd_log_debug("Unable to copy the string '%s': %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to copy the string '%s': %s", yytext, strerror(errno));
 					TRACE_DEBUG(INFO, "strdup failed");
 					return LEX_ERROR; /* trig an error in yacc parser */
@@ -163,5 +163,5 @@
 	/* Unrecognized sequence, if it did not match any previous pattern */
 [^[:space:]"*=>;\n]+	{ 
-				fd_log_debug("Unrecognized text on line %d col %d: '%s'.\n", yylloc->first_line, yylloc->first_column, yytext);
+				fd_log_debug("Unrecognized text on line %d col %d: '%s'.", yylloc->first_line, yylloc->first_column, yytext);
 			 	return LEX_ERROR; 
 			}
Index: extensions/test_app/ta_conf.y
===================================================================
--- extensions/test_app/ta_conf.y	(revision 740)
+++ extensions/test_app/ta_conf.y	(revision 974)
@@ -72,5 +72,5 @@
 	if (ta_confin == NULL) {
 		ret = errno;
-		fd_log_debug("Unable to open extension configuration file %s for reading: %s\n", conffile, strerror(ret));
+		fd_log_debug("Unable to open extension configuration file %s for reading: %s", conffile, strerror(ret));
 		TRACE_DEBUG (INFO, "Error occurred, message logged -- configuration file.");
 		return ret;
@@ -98,9 +98,9 @@
 	
 	if (ploc->first_line != ploc->last_line)
-		fd_log_debug("%s:%d.%d-%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d.%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fd_log_debug("%s:%d.%d-%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fd_log_debug("%s:%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, s);
+		fd_log_debug("%s:%d.%d : %s", conffile, ploc->first_line, ploc->first_column, s);
 }
 
Index: extensions/test_app/ta_serv.c
===================================================================
--- extensions/test_app/ta_serv.c	(revision 741)
+++ extensions/test_app/ta_serv.c	(revision 974)
@@ -47,5 +47,5 @@
 	TRACE_ENTRY("%p %p %p %p", msg, avp, sess, act);
 	
-	fd_log_debug("Unexpected message received!\n");
+	fd_log_debug("Unexpected message received!");
 	
 	return ENOTSUP;
Index: extensions/test_app/test_app.c
===================================================================
--- extensions/test_app/test_app.c	(revision 741)
+++ extensions/test_app/test_app.c	(revision 974)
@@ -72,14 +72,14 @@
 	if (!TRACE_BOOL(INFO))
 		return;
-	fd_log_debug( "------- app_test configuration dump: ---------\n");
-	fd_log_debug( " Vendor Id .......... : %u\n", ta_conf->vendor_id);
-	fd_log_debug( " Application Id ..... : %u\n", ta_conf->appli_id);
-	fd_log_debug( " Command Id ......... : %u\n", ta_conf->cmd_id);
-	fd_log_debug( " AVP Id ............. : %u\n", ta_conf->avp_id);
-	fd_log_debug( " Mode ............... : %s%s%s\n", ta_conf->mode & MODE_SERV ? "Serv" : "", ta_conf->mode & MODE_CLI ? "Cli" : "",  ta_conf->mode & MODE_BENCH ? " (Benchmark)" : "");
-	fd_log_debug( " Destination Realm .. : %s\n", ta_conf->dest_realm ?: "- none -");
-	fd_log_debug( " Destination Host ... : %s\n", ta_conf->dest_host ?: "- none -");
-	fd_log_debug( " Signal ............. : %i\n", ta_conf->signal);
-	fd_log_debug( "------- /app_test configuration dump ---------\n");
+	fd_log_debug( "------- app_test configuration dump: ---------");
+	fd_log_debug( " Vendor Id .......... : %u", ta_conf->vendor_id);
+	fd_log_debug( " Application Id ..... : %u", ta_conf->appli_id);
+	fd_log_debug( " Command Id ......... : %u", ta_conf->cmd_id);
+	fd_log_debug( " AVP Id ............. : %u", ta_conf->avp_id);
+	fd_log_debug( " Mode ............... : %s%s%s", ta_conf->mode & MODE_SERV ? "Serv" : "", ta_conf->mode & MODE_CLI ? "Cli" : "",  ta_conf->mode & MODE_BENCH ? " (Benchmark)" : "");
+	fd_log_debug( " Destination Realm .. : %s", ta_conf->dest_realm ?: "- none -");
+	fd_log_debug( " Destination Host ... : %s", ta_conf->dest_host ?: "- none -");
+	fd_log_debug( " Signal ............. : %i", ta_conf->signal);
+	fd_log_debug( "------- /app_test configuration dump ---------");
 }
 
@@ -107,11 +107,11 @@
 		
 		/* Now, display everything */
-		fd_log_debug( "------- app_test statistics ---------\n");
+		fd_log_debug( "------- app_test statistics ---------");
 		if (now.tv_nsec >= start.tv_nsec) {
-			fd_log_debug( " Executing for: %d.%06ld sec\n",
+			fd_log_debug( " Executing for: %d.%06ld sec",
 					(int)(now.tv_sec - start.tv_sec),
 					(long)(now.tv_nsec - start.tv_nsec) / 1000);
 		} else {
-			fd_log_debug( " Executing for: %d.%06ld sec\n",
+			fd_log_debug( " Executing for: %d.%06ld sec",
 					(int)(now.tv_sec - 1 - start.tv_sec),
 					(long)(now.tv_nsec + 1000000000 - start.tv_nsec) / 1000);
@@ -119,16 +119,16 @@
 		
 		if (ta_conf->mode & MODE_SERV) {
-			fd_log_debug( " Server: %llu message(s) echoed\n", copy.nb_echoed);
+			fd_log_debug( " Server: %llu message(s) echoed", copy.nb_echoed);
 		}
 		if (ta_conf->mode & MODE_CLI) {
-			fd_log_debug( " Client:\n");
-			fd_log_debug( "   %llu message(s) sent\n", copy.nb_sent);
-			fd_log_debug( "   %llu error(s) received\n", copy.nb_errs);
-			fd_log_debug( "   %llu answer(s) received\n", copy.nb_recv);
-			fd_log_debug( "     fastest: %ld.%06ld sec.\n", copy.shortest / 1000000, copy.shortest % 1000000);
-			fd_log_debug( "     slowest: %ld.%06ld sec.\n", copy.longest / 1000000, copy.longest % 1000000);
-			fd_log_debug( "     Average: %ld.%06ld sec.\n", copy.avg / 1000000, copy.avg % 1000000);
+			fd_log_debug( " Client:");
+			fd_log_debug( "   %llu message(s) sent", copy.nb_sent);
+			fd_log_debug( "   %llu error(s) received", copy.nb_errs);
+			fd_log_debug( "   %llu answer(s) received", copy.nb_recv);
+			fd_log_debug( "     fastest: %ld.%06ld sec.", copy.shortest / 1000000, copy.shortest % 1000000);
+			fd_log_debug( "     slowest: %ld.%06ld sec.", copy.longest / 1000000, copy.longest % 1000000);
+			fd_log_debug( "     Average: %ld.%06ld sec.", copy.avg / 1000000, copy.avg % 1000000);
 		}
-		fd_log_debug( "-------------------------------------\n");
+		fd_log_debug( "-------------------------------------");
 	}
 	
Index: extensions/test_netemul/test_netemul.l
===================================================================
--- extensions/test_netemul/test_netemul.l	(revision 740)
+++ extensions/test_netemul/test_netemul.l	(revision 974)
@@ -78,5 +78,5 @@
 				if (ret != 1) {
 					/* No matching: an error occurred */
-					fd_log_debug("Unable to convert the value '%s' to a valid float: %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to convert the value '%s' to a valid float: %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 					/* Maybe we could REJECT instead of failing here? */
@@ -92,5 +92,5 @@
 				if (ret != 1) {
 					/* No matching: an error occurred */
-					fd_log_debug("Unable to convert the value '%s' to a valid long: %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to convert the value '%s' to a valid long: %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 					/* Maybe we could REJECT instead of failing here? */
@@ -113,5 +113,5 @@
 	/* Unrecognized sequence, if it did not match any previous pattern */
 [^[:space:][:digit:]=;%/\n]+	{ 
-				fd_log_debug("Unrecognized text on line %d col %d: '%s'.\n", yylloc->first_line, yylloc->first_column, yytext);
+				fd_log_debug("Unrecognized text on line %d col %d: '%s'.", yylloc->first_line, yylloc->first_column, yytext);
 			 	return LEX_ERROR; 
 			}
Index: extensions/test_netemul/test_netemul.y
===================================================================
--- extensions/test_netemul/test_netemul.y	(revision 740)
+++ extensions/test_netemul/test_netemul.y	(revision 974)
@@ -68,5 +68,5 @@
 	if (test_netemulin == NULL) {
 		ret = errno;
-		fd_log_debug("Unable to open extension configuration file %s for reading: %s\n", conffile, strerror(ret));
+		fd_log_debug("Unable to open extension configuration file %s for reading: %s", conffile, strerror(ret));
 		TRACE_DEBUG (INFO, "Error occurred, message logged -- configuration file.");
 		return ret;
@@ -96,9 +96,9 @@
 	
 	if (ploc->first_line != ploc->last_line)
-		fd_log_debug("%s:%d.%d-%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d.%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fd_log_debug("%s:%d.%d-%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fd_log_debug("%s:%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, s);
+		fd_log_debug("%s:%d.%d : %s", conffile, ploc->first_line, ploc->first_column, s);
 }
 
Index: extensions/test_sip/test_sip.l
===================================================================
--- extensions/test_sip/test_sip.l	(revision 740)
+++ extensions/test_sip/test_sip.l	(revision 974)
@@ -79,5 +79,5 @@
 				if (ret != 1) {
 					/* No matching: an error occurred */
-					fd_log_debug("Unable to convert the value '%s' to a valid number: %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to convert the value '%s' to a valid number: %s", yytext, strerror(errno));
 					return LEX_ERROR; /* trig an error in yacc parser */
 					/* Maybe we could REJECT instead of failing here? */
@@ -91,5 +91,5 @@
 				yylval->string = strdup(yytext+1);
 				if (!yylval->string) {
-					fd_log_debug("Unable to copy the string '%s': %s\n", yytext, strerror(errno));
+					fd_log_debug("Unable to copy the string '%s': %s", yytext, strerror(errno));
 					TRACE_DEBUG(INFO, "strdup failed");
 					return LEX_ERROR; /* trig an error in yacc parser */
@@ -131,5 +131,5 @@
 	/* Unrecognized sequence, if it did not match any previous pattern */
 [^[:space:]"*=>;\n]+	{ 
-				fd_log_debug("Unrecognized text on line %d col %d: '%s'.\n", yylloc->first_line, yylloc->first_column, yytext);
+				fd_log_debug("Unrecognized text on line %d col %d: '%s'.", yylloc->first_line, yylloc->first_column, yytext);
 			 	return LEX_ERROR; 
 			}
Index: extensions/test_sip/test_sip.y
===================================================================
--- extensions/test_sip/test_sip.y	(revision 740)
+++ extensions/test_sip/test_sip.y	(revision 974)
@@ -70,5 +70,5 @@
 	if (test_sipin == NULL) {
 		ret = errno;
-		fd_log_debug("Unable to open extension configuration file %s for reading: %s\n", conffile, strerror(ret));
+		fd_log_debug("Unable to open extension configuration file %s for reading: %s", conffile, strerror(ret));
 		TRACE_DEBUG (INFO, "Error occurred, message logged -- configuration file.");
 		return ret;
@@ -96,9 +96,9 @@
 	
 	if (ploc->first_line != ploc->last_line)
-		fd_log_debug("%s:%d.%d-%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d.%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fd_log_debug("%s:%d.%d-%d : %s\n", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fd_log_debug("%s:%d.%d-%d : %s", conffile, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fd_log_debug("%s:%d.%d : %s\n", conffile, ploc->first_line, ploc->first_column, s);
+		fd_log_debug("%s:%d.%d : %s", conffile, ploc->first_line, ploc->first_column, s);
 }
 
